Skip to content

Pull an image to a pool

POST
/container/images/{pool}/pull
curl --request POST \
--url https://sylve.lan:8181/api/container/images/example/pull \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "image": "example", "os": "example" }'
pool
required
string

Pool

Image

Media typeapplication/json
object
image
required
string
os
string
Examplegenerated
{
"image": "example",
"os": "example"
}

Success

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}